#!/bin/sh

SOURCEDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )/.." && pwd )"
RSYNC=`type -p rsync`
DIRS="admin cwf k_db locale"

if [ $# -lt 1 ]; then
  echo "Usage: $0 <target directory>"
  exit
fi

if [ ! -d $1 ]; then
  echo "'$1' is not a directory."
  echo "Usage: $0 <target directory>"
  exit
fi

targetdir="${1/%\/}"

echo "Copying files from '$SOURCEDIR' to '$targetdir' ..."
cd "$SOURCEDIR"

if [ "${RSYNC}" != "" ]; then
  for dir in $DIRS; do
    rsync -av --delete --exclude "skins/" "$dir" "$targetdir/"
  done
else
  for dir in $DIRS; do
    cp -a "$dir" "$targetdir/"
  done
fi
cp -a VERSIONS INSTALL GPL "$targetdir/"
cp -a index.php "$targetdir/index.php.dist"
cp -a registration.php "$targetdir/registration.php.dist"
cp -a forgot_pw.php "$targetdir/forgot_pw.php.dist"

echo "... completed."
echo "Open admin/update.php to complete the update."
